<?php
/**
 * 百度自动推送JS代码<br />已经在使用链接提交里的主动推送（或sitemap）的站点，依然可以部署自动推送的JS代码，二者一起使用。
 * @package AutoBaiduSubmit
 * @author www.iyuu.cn
 * @version 1.0.3
 * @link https://www.iyuu.cn
 */
class AutoBaiduSubmit_Plugin implements Typecho_Plugin_Interface
{
	/* 激活插件方法 */
    public static function activate(){
        Typecho_Plugin::factory('Widget_Archive')->header = array('AutoBaiduSubmit_Plugin', 'submit');
        return _t('插件已启用');
    }

    /* 禁用插件方法 */
    public static function deactivate(){
        return _t('插件已禁用');
    }

    /* 插件配置方法 */
    public static function config(Typecho_Widget_Helper_Form $form){}

    /* 个人用户的配置方法 */
    public static function personalConfig(Typecho_Widget_Helper_Form $form){}

    /* 插件实现方法 */
    public static function submit(){
        echo <<<HTML
<script>
(function(){
	var bp = document.createElement('script');
	var curProtocol = window.location.protocol.split(':')[0];
	if (curProtocol === 'https') {
		bp.src = 'https://zz.bdstatic.com/linksubmit/push.js';
	}
	else {
		bp.src = 'http://push.zhanzhang.baidu.com/push.js';
	}
	var s = document.getElementsByTagName("script")[0];
	s.parentNode.insertBefore(bp, s);
})();
</script>
HTML;
    }
}